> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Stakeholder Documents

> Fetch the documents uploaded for a Stakeholder using Razorpay APIs.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to fetch the files uploaded for a stakeholder. Know about the [various error responses](/docs/api/partners/errors) for this API.

<RequestExample>
  ```bash Curl theme={null}
  curl -X GET https://api.razorpay.com/v2/accounts/acc_GMh5YcLv9iGMKf/stakeholders/sth_GOUCFN3nE0XlYq/documents \
  -u <ACCESS_TOKEN> \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");

  String accoundId = "acc_LryDIBIjBDbOWy";
  String stakeholderId = "sth_M0zjeiVOLRJRPW";

  Stakeholder stakeholder = instance.stakeholder.fetchStakeholderDoc(accoundId, stakeholderId);
  ```

  ```php PHP theme={null}
  $api = new Api(null, null, "<ACCESS_TOKEN>");

  $accountId = "acc_00000000000001";
  $stakeholderId = "sth_00000000000001";

  $stakeholders = $api->account->fetch($accountId)->stakeholders();

  $stakeholders->fetchStakeholderDoc($stakeholderId);
  ```

  ```javascript Node.js theme={null}
  const instance = new Razorpay({
    oauthToken: "<ACCESS_TOKEN>",

  const accountId = "acc_GP4lfNA0iIMn5B";
  const stakeholderId = "sth_GOQ4Eftlz62TSL";

  instance.stakeholders.fetchStakeholderDoc(accountId, stakeholderId);
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('ACCESS_TOKEN')
  account_id = "acc_0000000000001"
  stakeholder_id = "sth_00000000000001"

  Razorpay::Stakeholder.fetch_stakeholder_doc(account_id, stakeholder_id)
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "individual_proof_of_address": [
      {
        "type": "aadhar_front",
        "document_id": "doc_GOgDZbg848e6bI"
      },
      {
        "type": "aadhar_back",
        "document_id": "doc_GOVuOa8PCgXlEA"
      }
    ]
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="account_id" type="string" required>
  The unique identifier of a sub-merchant account generated by Razorpay. For example, `acc_GMh5YcLv9iGMKf`.
</ParamField>

<ParamField path="stakeholder_id" type="string" required>
  The unique identifier of the stakeholder generated by Razorpay. For example, `sth_GOUCFN3nE0XlYq`.
</ParamField>

## Response Parameters

<ResponseField name="individual_proof_of_address" type="array">
  The document submitted as individual proof of address.
</ResponseField>

<ResponseField name="type" type="string">
  The type of document. Possible values:

  * `voter_id_back`<br />
  * `voter_id_front`<br />
  * `aadhar_front`<br />
  * `aadhar_back`<br />
  * `passport_front`<br />
  * `passport_back`
</ResponseField>

<ResponseField name="document_id" type="string">
  The id generated once the business proof document is uploaded.
</ResponseField>
